package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

import cn.net.caoyao.cpzshandset.common.config.Config;

/**
 * 火车发运单
 * @author echo
 *
 */
public class TrainInvoiceBean implements Serializable{
	private int id;//主键
	private String carriageno;//车皮号 P打头后面跟七位数字的字符串
	private int startingstation;//始发站  目前只有水富站
	private int terminalstation;//终点站
	private int consigneeId;
	private String orderno;//订单号
	private String timestamp;//时间戳
	private int labelMode;//0:加法操作     1:减法操作
	private int status = Config.SUBMIT_STATUS_NOT_SUBMIT;//0:未提交   1:提交失败
	private int error_code = 0;//：服务器返回的错误码 = 0;
	private String expand1;
	private String expand2;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getCarriageno() {
		return carriageno;
	}
	public void setCarriageno(String carriageno) {
		this.carriageno = carriageno;
	}
	public int getStartingstation() {
		return startingstation;
	}
	public void setStartingstation(int startingstation) {
		this.startingstation = startingstation;
	}
	public int getTerminalstation() {
		return terminalstation;
	}
	public void setTerminalstation(int terminalstation) {
		this.terminalstation = terminalstation;
	}
	public String getOrderno() {
		return orderno;
	}
	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getLabelMode() {
		return labelMode;
	}
	public void setLabelMode(int labelMode) {
		this.labelMode = labelMode;
	}
	public String getExpand1() {
		return expand1;
	}
	public void setExpand1(String expand1) {
		this.expand1 = expand1;
	}
	public String getExpand2() {
		return expand2;
	}
	public void setExpand2(String expand2) {
		this.expand2 = expand2;
	}
	
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	
	public int getConsigneeId() {
		return consigneeId;
	}
	public void setConsigneeId(int consigneeId) {
		this.consigneeId = consigneeId;
	}
	@Override
	public String toString() {
		return "TrainInvoiceBean [id=" + id + ", carriageno=" + carriageno + ", startingstation=" + startingstation
				+ ", terminalstation=" + terminalstation + ", consigneeId=" + consigneeId + ", orderno=" + orderno
				+ ", timestamp=" + timestamp + ", labelMode=" + labelMode + ", status=" + status + ", error_code="
				+ error_code + ", expand1=" + expand1 + ", expand2=" + expand2 + "]";
	}
}
